### Method

# Adw SpringAnimationset_spring_params

#### Declaration [src]

    void
    adw_spring_animation_set_spring_params (
      AdwSpringAnimation* self,
      AdwSpringParams* spring_params
    )

#### Description [src]

Sets the physical parameters of the spring of `self`.

Sets property | `Adw.SpringAnimation:spring-params`

#### Parameters

`spring_params`

  Type: `AdwSpringParams`

  The new spring parameters.

  The data is owned by the caller of the method.